<form (ngSubmit)="onSignUpSubmit()" #f="ngForm"  class="form-horizontal">


  <div class="row">
    <div class="col-md-12">
      <div class="form-group">
        <label for="inputEmail" class="col-lg-2 control-label">Email</label>
        <div class="col-lg-10">
          <input id="email"
              type="email"
              required
              name='email' 
              [(ngModel)]="signUpUser.email" 
              class="form-control validate">
        </div>
      </div>

      <div class="form-group">
        <label for="inputEmail" class="col-lg-2 control-label">Password</label>
        <div class="col-lg-10">
          <input id="password" 
              type="password" 
              required  
              name='password' 
              [(ngModel)]="signUpUser.password" 
              class="form-control validate">
        
        </div>
      </div>

      <div class="form-group">
        <label for="inputEmail" class="col-lg-2 control-label">confirm password</label>
        <div class="col-lg-10">
          <input id="passwordConfirmation" 
              type="password" 
              required  
              name='passwordConfirmation' 
              [(ngModel)]="signUpUser.passwordConfirmation" 
              class="form-control validate">
        
        </div>
      </div>

      <span *ngIf="signUpUser.password != signUpUser.passwordConfirmation"
            style="color:red">
        Passwords must match
      </span>

      <div class="col-md-12">
        <button type="submit"
                [disabled]="!(f.valid) || !(signUpUser.password == signUpUser.passwordConfirmation)"
                class="btn btn-success">
          Sign up
        </button>
      </div>
    </div>
  </div>
</form>
